
Figure - Bug #117224
【BSP】【EVT3】【ST】【Tlog】tlog手动抓取日志之后，如：tcpdump，然后reboot，设备重启之后*#147#中界
面显示正在运行，实际tlog -m 和tcpdump日志进程并未重新调起
2023-03-28 19:24 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-03-28

Priority: Normal Due date: 2023-05-09

Assignee: 移动测试一组_CDTS 刘强 % Done: 90%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0085

Resolution: WONTFIX Degrated: --

Severity: Minor Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

None

【测试步骤】

1. 一个正式的release版本，如：0085

2. #147# 进入tlog界面，勾选tcpdump等日志

3. 执行adb reboot

4. 设备重启之后，#147# 进入tlog界面查看显示

5. top 查看相关日志进程

【预期结果】

4. 重启之后仍然继续运行

5. 相关日志进程会被重新调起

【实际结果】

4. 重启之后仍然显示继续运行

5. 相关日志进程并未调起，如：tlog -m 和tcpdump 日志抓取等

History

#1 - 2023-04-12 11:42 - CD SYSTEM-夏旭

- Due date set to 2023-04-17

- Status changed from New to ASSIGNED

- % Done changed from 0 to 50

■ 我的分析

如果正在使用apk抓取，这个时候重启，tlog相关的进程就会kill，下次开机就不会再次拉起

但是apk保存了上一次的状态，所以就出现了现在的情况

■ 下一步计划

将属性设置为persist，下次开机自动拉起

#2 - 2023-04-13 14:35 - CDTS-TEST 周婷

- Severity changed from Normal to Major
#3 - 2023-04-13 17:49 - CD SYSTEM-夏旭

■ 目前进度

设置persist下次开机可以自动拉起，但是apk点击stop之后不能停止相关进程

调查发现因为下一次开机只是使用了关机前的状态，并没有去创建相关对象，导致点击stop之后没有停止进程

■ 下一步计划

修改apk逻辑

#4 - 2023-04-14 18:19 - CD SYSTEM-夏旭

- % Done changed from 50 to 90

■ 目前进度

调查发现是因为没有点击start所以有个参数没有设置为true，导致后面点击stop之后没有生效

本地验证OK，等待VB验证

■ 下一步计划

VB验证

#5 - 2023-04-15 18:29 - CD SYSTEM-夏旭

■ 目前进度

VB验证OK，但是考虑到如果忘了点击stop，后台就会一直抓取相关的log，其中qxdm和tcpdump的影响很大，对于性能还是存储都有影响

以前的状态是，如果忘了点击stop，重启之后就不会继续了，对后面也没有影响，但是现在的情况是忘了的话就会一直在，除非点击stop

所以最后考虑改变修改逻辑，改成在下次点击apk的时候再去自动拉起相关进程

■ 下一步计划

修改apk逻辑

#6 - 2023-04-17 21:05 - CD TPM-王祥林

- Due date changed from 2023-04-17 to 2023-05-09

- Severity changed from Major to Minor

#7 - 2023-05-10 21:12 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CD TPM-王祥林

#8 - 2023-05-12 13:37 - CD SYSTEM-夏旭

上一次开机，点击tlog apk的start然后重启设备，下次开机自动拉起tlog相关进程的修改

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/LogSystem/+/191626

#9 - 2023-05-12 15:21 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to WONTFIX

经过讨论，这个功能入到主分支会影响系统性能。如果谁有这个需求以后就自己用夏旭的提交来编译VB。这个票就先关闭了。

#10 - 2023-05-15 17:53 - 移动测试一组_CDTS 刘强
- Status changed from RESOLVED to VERIFIED

根据讨论结果，不合入正式版本，需要该功能单独拉代码编译vb，此bug关闭

#11 - 2023-05-15 17:53 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
